function JornadaModel(p) {
    "use strict";
    var mSelf = this,
        o = checkValue(p, {});

    ViewModelBase.apply(mSelf, arguments);
}

function JornadaRepositorio(p) {
    "use strict";
    // se não chamou com a palavra reservada "new" força a instância
    if (!isEspecificObject(this, JornadaRepositorio)) {
        return new JornadaRepositorio();
    }

    // herda as propriedades e métodos públicos da classe RepositorioBase
    RepositorioBase.apply(this, [{
        urlBase: "api/Operacao/Jornada",
        UsarUrlComplemento: true
    }]);
}

function VeiculoRepositorio(p) {
    "use strict";
    // se não chamou com a palavra reservada "new" força a instância
    if (!isEspecificObject(this, VeiculoRepositorio)) {
        return new VeiculoRepositorio();
    }

    // herda as propriedades e métodos públicos da classe RepositorioBase
    RepositorioBase.apply(this, [{
        urlBase: "api/Operacao/Jornada/GetVeiculo",
        UsarUrlComplemento: false
    }]);
}